﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_select_hours_symbiote
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // The symbiotes.
        private SelectHoursSymbiote Symbiote1, Symbiote2;

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ResizeRedraw = true;

            // Create the symbiotes.
            Symbiote1 = new SelectHoursSymbiote(picHours1);
            Symbiote1.HoursChanged += pic_HoursChanged;
            Symbiote1.HoursScrolled += pic_HoursChanged;
            Symbiote1.StartHour = 6;
            Symbiote1.StopHour = 14;

            Symbiote2 = new SelectHoursSymbiote(picHours2);
            Symbiote2.HoursChanged += pic_HoursChanged;
            Symbiote2.HoursScrolled += pic_HoursChanged;
            Symbiote2.StartHour = 9;
            Symbiote2.StopHour = 17;
        }

        // Show the times in the TextBoxes.
        private void pic_HoursChanged(object sender, EventArgs e)
        {
            SelectHoursSymbiote symbiote = sender as SelectHoursSymbiote;
            DateTime start_time = new DateTime(2000, 1, 1, symbiote.StartHour, 0, 0);
            DateTime stop_time = new DateTime(2000, 1, 1, symbiote.StopHour, 0, 0);

            string tip = start_time.ToShortTimeString() +
                " to " +
                stop_time.ToShortTimeString();
            if (tipHour.GetToolTip(symbiote.PictureBox) != tip)
                tipHour.SetToolTip(symbiote.PictureBox, tip);

            if (symbiote == Symbiote1)
            {
                txtStartTime1.Text = start_time.ToShortTimeString();
                txtStopTime1.Text = stop_time.ToShortTimeString();
            }
            else
            {
                txtStartTime2.Text = start_time.ToShortTimeString();
                txtStopTime2.Text = stop_time.ToShortTimeString();
            }
        }
    }
}
